:root {
  --color-deep-blue: #007db5;
  --color-link-blue: rgba(2, 121, 175, .85);
  --color-sky-blue: #97d9f1;
  --color-royal-purple: #212d5f;
  --color-surf: #00ca8c;
  --color-teal: #1fa49f;
  --color-coral: #f24a30;
  --color-pink: #e96faa;
  --color-banana: #e8ca1e;
  --color-avocado: #40b453;
  --color-chocolate: #231f20;
}

header {
  font-family: "Helvetica Neue", Helvetica, Helvetica, Arial, sans-serif;
}
header a:hover {
	color: #666666;
	text-decoration: none;
}
body {
	font-family: "Helvetica Neue", "Arial", sans-serif;
}
h1 {
	font-family: "Helvetica Neue", "Arial", sans-serif;
	font-weight: 700;
	font-size: 23px;
	color: var(--color-chocolate);
	margin: 0px 0px 25px 0px;
	padding: 0px 0px 5px 0px;
	line-height: normal;
	text-rendering: optimizeLegibility;
}
h2 {
	font-family: "Helvetica Neue", "Arial", sans-serif;
	font-weight: 700;
	font-size: 20px;
	color: var(--color-chocolate);
	border-bottom: 1.5px solid #000000;
	margin: 0px 0px 5px 0px;
	padding: 0px 0px 5px 0px;
	line-height: normal;
	letter-spacing: 1px;
	text-rendering: optimizeLegibility;
}
h3, h4, h5 {
	font-family: "Helvetica Neue", "Arial", sans-serif;
	font-weight: 300;
	font-size: 18px;
	color: var(--color-chocolate);
	text-rendering: optimizeLegibility;
}
h6 {
	font-family: "Helvetica Neue", "Arial", sans-serif;
	font-weight: 500;
	font-size: 14px;
	margin-bottom: 5px;
	color: var(--color-chocolate);
	text-rendering: optimizeLegibility;
}

#content a {
	color: var(--color-deep-blue);
	text-decoration: underline;
}

#content a:hover {
	color: var(--color-link-blue);
	text-decoration: underline;
}

#content .error {
  color: var(--color-coral);
  font-style: italic;
}

input[type="button"], input[type="submit"], input[type="reset"], button, .button, #content a.button {
	font-family: "Helvetica Neue", "Arial", sans-serif;
	color: #ffffff;
	background: var(--color-deep-blue);
	font-size: 16px;
	font-weight: 400;
	border-radius: 6px;
	line-height: 1;
	margin: 0;
	padding: 10px 20px 11px;
	text-align: center;
	transition: background-color .15s ease-in-out;
	border: none;
	text-decoration: none;
}

input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover, button:hover, .button:hover, #content a.button:hover {
	color: #ffffff;
	background: var(--color-link-blue);
	cursor: pointer;
	text-decoration: none;
}

label {
	font-family: "Helvetica Neue", "Arial", sans-serif;
	font-size: 14px;
}
.options label {
	font-size: 16px;
}
select {
	font-family: "Helvetica Neue", "Arial", sans-serif;
	color: var(--color-chocolate);
	font-size: 16px;
	border: 2px solid var(--color-deep-blue);
	border-radius: 6px;
	padding: 5px;
	line-height: 1.3;
	height: 40px;
	-webkit-appearance: menulist-button;
	-moz-appearance: menulist-button;
	appearance: menulist-button;
}

div.alert-box {
	text-shadow: none;
}
div.alert-box.alert {
	line-height: 1.4;
	font-size: 14px;
	background-color: white;
    color: #c60f13;
    border: 1px solid #c60f13;
    text-shadow: none;
    padding: 15px;
    margin-bottom: 20px;
}


.input-feedback {
	margin-bottom: 10px;
	color: #c60f13;
}

#nonMemContainer {
	margin: 20px 20px 20px 0px;
}


#content .card {
  display: block;
  margin: 25px 20px;
  background-color: #eaeaea;
  border-radius: 4px;
}
#content .card .card-title {
  background-color: var(--color-deep-blue);
  border-radius: 4px;
  color: #ffffff;
  font-size: 18px;
  padding: 20px;
  width: 100%;
}
#content .card .card-text p {
  padding-top: 20px;
  padding-left: 20px;
  font-size: 16px;
  margin: 0px;
}
#content .card .card-text p a {
  color: var(--color-deep-blue);
  text-decoration: underline;
}
#content .card .card-text p a:hover {
  color: var(--color-link-blue);
  text-decoration: underline;
}
#content .card .card-button {
  display: inline-block;
  margin: 20px;
  width: -moz-fit-content;
  width: fit-content;
  font-size: 16px;
  padding: 14px;
  border: 1px solid var(--color-deep-blue);
  border-radius: 5px;
  background-color: var(--color-deep-blue);
  text-decoration: none;
  color: #ffffff;
}
#content .card .memberLookupForm {
  padding: 20px;
}
#content .card .memberLookupForm label span.required {
  color: #ff0000;
}
#content .card .memberLookupForm input {
  max-width: 325px;
}
#content .card .memberLookupForm input[type=submit] {
  background-color: var(--color-deep-blue);
  border: 1px solid var(--color-deep-blue);
  border-radius: 5px;
  padding: 14px;
  font-size: 16px;
  color: #ffffff;
}
#content .card .memberLookupForm input[type=submit]:hover {
  cursor: pointer;
}
#content .card .memberLookupForm span.validationError {
  font-style: italic;
  color: #ff0000;
  margin: 5px 0px;
  display: block;
}

/* spinner */
#loaderWrap {
  /* The div that shows/hides. */
  display: none; /* starts out hidden */
  z-index: 40001; /* High z-index to ensure it appears above all content */
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.loaderOverlay {
  /* Shades out background when selector is active */
  position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.3);
  width: 100%;
  height: 100%;
  z-index: 40001;
}
.vertical-offset {
  /* Fixed position to provide the vertical offset */
  position: absolute;
  bottom: 30%;
  width: 100%;
  z-index: 40002; /* ensures box appears above overlay */
}
.loaderBox {
  /* The actual box, centered in the fixed-position div */
  max-width: 550px; /* Whatever width you want the box to be */
  position: relative;
  margin: 0 auto; /* Everything below is just visual styling */
  padding: 20px 20px 0 20px;
}

/* loading spinner */
.loader {
  margin: auto;
  border: 20px solid #EAF0F6; /*circle background*/
  border-radius: 50%;
  border-top: 20px solid var(--color-deep-blue); /*spinning color*/
  width: 200px;
  height: 200px;
  animation: spinner 4s linear infinite;
}

@keyframes spinner {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
.mb-1 {
  margin-bottom: 1em;;
}
.mb-2 {
  margin-bottom: 2em;
}